package com.itbaizhan.domain;

public class Student {
    private int id;
    private String name;
    private String address;

    public Student(int id, String name, String address) {
        this.id = id;
        this.name = name;
        this.address = address;
    }

    public Student() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return "Student{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", address='" + address + '\'' +
                '}';
    }
}
/**
 * 1.创建实体类
 * 2.创建Dao接口和实体类
 * 3.创建配置文件，在文件中定义管理对象
 * 4.创建容器管理类(管理对象)，该类在类加载时，读取配置文件，将
 *   配置文件中配置的对象全部创建并放入容器中
 * 5.创建Dao对象的调用者StudentService
 * 6.测试StudentService
 */
